> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Customers.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/Customers
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Customers:
    get:
      tags:
        - Customers
      summary: Query Customers.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/CustomerDetailResponseDTODynamicQueryPagedDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CustomerDetailResponseDTODynamicQueryPagedDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/CustomerDetailResponseDTODynamicQueryPagedDTO
components:
  schemas:
    CustomerDetailResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CustomerDetailResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    CustomerDetailResponseDTO:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        phone:
          type: string
        id:
          type: string
          format: uuid
        customerNo:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/AddressDetailResponseDTO'
      additionalProperties: false
    AddressDetailResponseDTO:
      type: object
      properties:
        addressNo:
          type: integer
          format: int32
        id:
          type: string
          format: uuid
        addressFirstName:
          type: string
        addressLastName:
          type: string
        company:
          type: string
        addressOne:
          type: string
        addressTwo:
          type: string
        district:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          type: string
        addressPhone:
          type: string
        taxOffice:
          type: string
        taxNumber:
          type: string
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````